Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568602 - Git repo automate datastore refresh timing out upon credential change
Summary: Git repo automate datastore refresh timing out upon credential change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.2
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1552274
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 21:57 UTC by Satoe Imaishi
Modified: 2021-06-10 15:52 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1552274
Environment:
Last Closed: 2018-05-07 20:49:36 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:50:28 UTC

Comment 2 CFME Bot 2018-04-17 22:11:42 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/d494db96eefc9cbfa041f8e58032b7f49d8eb5d2
commit d494db96eefc9cbfa041f8e58032b7f49d8eb5d2
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Apr 17 08:49:19 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Apr 17 08:49:19 2018 -0400

    Merge pull request #14889 from mkanoor/bad_credentials

    Use credential callback to set credentials
    (cherry picked from commit 2dd64f87eadf69294a4706a4082bc08d6c9bbb11)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568602
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568604

 app/models/git_repository.rb | 4 +-
 lib/git_worktree.rb | 16 +-
 lib/git_worktree_exception.rb | 1 +
 spec/lib/git_worktree_spec.rb | 12 +
 spec/models/git_repository_spec.rb | 3 +
 5 files changed, 31 insertions(+), 5 deletions(-)

Comment 3 Dmitry Misharov 2018-04-23 12:33:02 UTC
There were no FATAL messages in the log if the credentials were changed. I can see now such line: [----] E, [2018-04-23T08:13:41.121296 #11900:8e7114] ERROR -- : MIQ(MiqQueue#deliver) Message id: [777], Error: [Invalid credentials for URL https://some_url/somne_manageiq_datastore.git]. I marked this as verified for 5.9.2.3.20180419182310_cab2891. Along with that, I've created another BZ https://bugzilla.redhat.com/show_bug.cgi?id=1570806, because UI flash message is missing.

Comment 6 errata-xmlrpc 2018-05-07 20:49:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.